## extruct 0.14.0

=== requirements.txt ===
# project requirements, install them using following command:
# pip install -r requirements.txt
lxml
requests
rdflib>=6.0.0; python_version>="3.7"
rdflib<6.0.0; python_version<"3.7"
rdflib-jsonld<=0.5.0; python_version<"3.7"
pyrdfa3
mf2py>=1.1.0
six>=1.11
w3lib
html-text
jstyleson

=== debian/changelog ===
extruct (0.14.0-2) unstable; urgency=medium

  * Fix wrong dependency on python 3.7 in setup.py

 -- Christian Marillat <marillat@debian.org>  Mon, 30 Jan 2023 15:42:10 +0100

extruct (0.14.0-1) unstable; urgency=medium

  * Initial release (Closes: #1022944)

 -- Christian Marillat <marillat@debian.org>  Fri, 28 Oct 2022 15:38:23 +0200

=== debian/watch ===
version=4

https://github.com/scrapinghub/extruct/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## extruct 0.16.0

=== debian/changelog ===
extruct (0.16.0-3) unstable; urgency=medium

  * Fix SyntaxWarning in extruct/rdfa.py (Closes: #1063330)

 -- Christian Marillat <marillat@debian.org>  Mon, 12 Feb 2024 09:31:34 +0100

extruct (0.16.0-2) unstable; urgency=medium

  * Update patch 01_fix-rdflib-python-version.patch (Thanks Michael R. 
    Crusoe) to remove unnecessary dependency on python3-rdflib-jsonld
    (Closes: #1062133)

 -- Christian Marillat <marillat@debian.org>  Wed, 31 Jan 2024 15:11:25 +0100

extruct (0.16.0-1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@debian.org>  Fri, 07 Jul 2023 13:26:24 +0200

=== debian/control ===
Source: extruct
Section: python
Priority: optional
Maintainer: Christian Marillat <marillat@debian.org>
Homepage: https://github.com/scrapinghub/extruct
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends: debhelper-compat (= 13), dh-sequence-python3,
 python3-dev, python3-setuptools, python3-mf2py, python3-html-text,
 python3-jstyleson

Package: python3-extruct
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}, python3-pyrdfa
Description: library for extracting embedded metadata from HTML markup
 Currently, extruct supports:
 .
  * W3C's HTML Microdata
  * embedded JSON-LD
  * Microformat via mf2py
  * Facebook's Open Graph
  * (experimental) RDFa via rdflib

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=extruct

%:
	dh $@ -Spybuild

execute_after_override_dh_auto_install:
	rm debian/python3-extruct/usr/bin/extruct

override_dh_clean:
	dh_clean extruct.egg-info/*

override_dh_auto_test:

## extruct 0.17.0

=== debian/changelog ===
extruct (0.17.0-1) unstable; urgency=medium

  * New upstream release.
  * Remove all patches (applied upstream).
  * Build-Depends: replaces python3-setuptools by pybuild-plugin-pyproject  

 -- Christian Marillat <marillat@debian.org>  Wed, 29 May 2024 16:44:16 +0200

extruct (0.16.0-4) unstable; urgency=medium

  * Add upstream patch to add support for python3 lxml >= 5.2.0 and
    python3-lxml-html-clean to Depends.

 -- Christian Marillat <marillat@debian.org>  Fri, 19 Apr 2024 11:44:13 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Rules-Requires-Root: no
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3,
- python3-dev, python3-setuptools, python3-mf2py, python3-html-text,
- python3-jstyleson
+ python3-dev, python3-mf2py, python3-html-text, python3-jstyleson,
+ pybuild-plugin-pyproject,
 
 Package: python3-extruct
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-pyrdfa
+Depends: ${python3:Depends}, ${misc:Depends}, python3-pyrdfa, python3-lxml-html-clean
 Description: library for extracting embedded metadata from HTML markup
  Currently, extruct supports:
  .

## extruct 0.18.0

=== requirements.txt ===
# project requirements, install them using following command:
# pip install -r requirements.txt
lxml
lxml-html-clean
requests
rdflib>=6.0.0
pyrdfa3
mf2py>=1.1.0
w3lib
html-text
jstyleson

=== debian/changelog ===
extruct (0.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Add HISTORY.rst as upstream changelog.

 -- Christian Marillat <marillat@debian.org>  Fri, 08 Nov 2024 16:37:27 +0100

extruct (0.17.0-2) unstable; urgency=medium

  * Add python3-setuptools to Build-Depends (Closes: #1080589)

 -- Christian Marillat <marillat@debian.org>  Thu, 05 Sep 2024 18:57:22 +0200

=== debian/control ===
--- 
+++ 
@@ -7,11 +7,11 @@
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3,
  python3-dev, python3-mf2py, python3-html-text, python3-jstyleson,
- pybuild-plugin-pyproject,
+ pybuild-plugin-pyproject, python3-setuptools,
 
 Package: python3-extruct
 Architecture: all
-Depends: ${python3:Depends}, ${misc:Depends}, python3-pyrdfa, python3-lxml-html-clean
+Depends: ${python3:Depends}, ${misc:Depends}, python3-pyrdfa, python3-lxml-html-clean,
 Description: library for extracting embedded metadata from HTML markup
  Currently, extruct supports:
  .

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 execute_after_override_dh_auto_install:
 	rm debian/python3-extruct/usr/bin/extruct
 
+override_dh_installchangelogs:
+	dh_installchangelogs HISTORY.rst
+
+
 override_dh_clean:
 	dh_clean extruct.egg-info/*
